ServerEvents.tags('item', event => {

  // Add Tags (Items)

  priority: 100

  event.add('forge:fruits', 'tropicraft:pineapple')
  event.add('forge:fruits/pineapple', 'tropicraft:pineapple')
  event.add('forge:crops', 'tropicraft:pineapple')
  event.add('forge:crops/pineapple', 'tropicraft:pineapple')
  event.add('forge:pineapples', 'tropicraft:pineapple')
  event.add('rftoolsutility:living/highyield', 'tropicraft:pineapple')

  event.add('crabbersdelight:cooked_seafood', 'croptopia:steamed_clams')
  event.add('crabbersdelight:cooked_seafood', 'croptopia:steamed_crab')
  event.add('crabbersdelight:cooked_seafood', 'croptopia:cooked_shrimp')
  event.add('crabbersdelight:cooked_seafood', 'croptopia:deep_fried_shrimp')

  event.add('crabbersdelight:raw_seafood', 'croptopia:clam')
  event.add('crabbersdelight:raw_seafood', 'croptopia:crab')
  event.add('crabbersdelight:raw_seafood', 'croptopia:shrimp')

  event.add('forge:crabs', 'crabbersdelight:raw_crab')
  event.add('forge:shrimp', 'crabbersdelight:raw_shrimp')
  event.add('forge:clams', 'crabbersdelight:raw_clam_meat')
  event.add('forge:clams', 'crabbersdelight:clam')

  event.add('forge:steamed_crabs', 'crabbersdelight:cooked_crab')
  event.add('forge:cooked_shrimp', 'crabbersdelight:cooked_shrimp')
  event.add('forge:steamed_clams', 'crabbersdelight:cooked_clam_meat')

  event.add('tnp:berries', 'aether:blue_berry')
  event.add('tnp:berries', 'aether_redux:chromaberry')
  event.add('tnp:berries', 'ars_nouveau:sourceberry_bush')
  event.add('tnp:berries', 'blue_skies:black_brewberry')
  event.add('tnp:berries', 'blue_skies:brewberry')
  event.add('tnp:berries', 'blue_skies:pink_brewberry')
  event.add('tnp:berries', 'caupona:wolfberries')
  event.add('tnp:berries', 'croptopia:blackberry')
  event.add('tnp:berries', 'croptopia:blueberry')
  event.add('tnp:berries', 'croptopia:cranberry')
  event.add('tnp:berries', 'croptopia:elderberry')
  event.add('tnp:berries', 'croptopia:raspberry')
  event.add('tnp:berries', 'croptopia:strawberry')
  event.add('tnp:berries', 'minecraft:glow_berries')
  event.add('tnp:berries', 'minecraft:sweet_berries')
  event.add('tnp:berries', 'regions_unexplored:salmonberry')
  event.add('tnp:berries', 'rootsclassic:blackcurrant')
  event.add('tnp:berries', 'rootsclassic:elderberry')
  event.add('tnp:berries', 'rootsclassic:nightshade')
  event.add('tnp:berries', 'rootsclassic:redcurrant')
  event.add('tnp:berries', 'rootsclassic:whitecurrant')
  event.add('tnp:berries', 'tropicraft:coffee_berry')
  event.add('tnp:berries', 'undergarden:blisterberry')
  event.add('tnp:berries', 'vinery:cherry')

  event.add('forge:dusts/ender_pearl', 'enderio:powdered_ender_pearl')

  event.add('forge:storage_blocks/cobblestone', 'tnp:compressed_cobblestone')

  event.add('forge:apples', 'tnp:baked_apple')
  event.add('forge:crops', 'tnp:baked_apple')
  event.add('forge:crops/apple', 'tnp:baked_apple')
  event.add('forge:fruits', 'tnp:baked_apple')
  event.add('forge:fruits/apple', 'tnp:baked_apple')
  event.add('forge:fruits/sweet', 'tnp:baked_apple')

  event.add('forge:crops', 'tnp:roasted_carrot')
  event.add('forge:crops/carrot', 'tnp:roasted_carrot')
  event.add('forge:vegetables', 'tnp:roasted_carrot')
  event.add('forge:vegetables/carrot', 'tnp:roasted_carrot')

  event.add('forge:fruits', 'tnp:grilled_melon')
  event.add('forge:fruits/melon', 'tnp:grilled_melon')
  event.add('forge:fruits/sweet', 'tnp:grilled_melon')
  event.add('forge:melons', 'tnp:grilled_melon')

  event.add('forge:berries', 'tnp:golden_berries')
  event.add('forge:fruits', 'tnp:golden_berries')
  event.add('forge:fruits/berries', 'tnp:golden_berries')
  event.add('forge:fruits/sweet', 'tnp:golden_berries')
  event.add('forge:fruits/sweet_berries', 'tnp:golden_berries')

  event.add('forge:fruits', 'tnp:golden_melon')
  event.add('forge:fruits/melon', 'tnp:golden_melon')
  event.add('forge:fruits/sweet', 'tnp:golden_melon')
  event.add('forge:melons', 'tnp:golden_melon')

  event.add('forge:berries', 'tnp:baked_glow_berries')
  event.add('forge:fruits', 'tnp:baked_glow_berries')
  event.add('forge:fruits/berries', 'tnp:baked_glow_berries')
  event.add('forge:fruits/glow_berries', 'tnp:baked_glow_berries')

  event.add('forge:stone', 'tnp:compressed_cobblestone')
  event.add('forge:stone', 'tnp:double_compressed_cobblestone')
  event.add('forge:stone', 'tnp:triple_compressed_cobblestone')
  event.add('forge:stone', 'tnp:quadruple_compressed_cobblestone')
  event.add('forge:stone', 'tnp:quintuple_compressed_cobblestone')

  event.add('forge:stone', 'tnp:compressed_cobbled_deepslate')
  event.add('forge:stone', 'tnp:double_compressed_cobbled_deepslate')
  event.add('forge:stone', 'tnp:triple_compressed_cobbled_deepslate')
  event.add('forge:stone', 'tnp:quadruple_compressed_cobbled_deepslate')
  event.add('forge:stone', 'tnp:quintuple_compressed_cobbled_deepslate')

  event.add('minecraft:dirt', 'tnp:compressed_dirt')
  event.add('forge:dirt', 'tnp:compressed_dirt')
  event.add('minecraft:dirt', 'tnp:double_compressed_dirt')
  event.add('forge:dirt', 'tnp:double_compressed_dirt')
  event.add('minecraft:dirt', 'tnp:triple_compressed_dirt')
  event.add('forge:dirt', 'tnp:triple_compressed_dirt')
  event.add('minecraft:dirt', 'tnp:quadruple_compressed_dirt')
  event.add('forge:dirt', 'tnp:quadruple_compressed_dirt')
  event.add('minecraft:dirt', 'tnp:quintuple_compressed_dirt')
  event.add('forge:dirt', 'tnp:quintuple_compressed_dirt')

  event.add('forge:stone', 'tnp:compressed_granite')
  event.add('forge:stone', 'tnp:double_compressed_granite')
  event.add('forge:stone', 'tnp:triple_compressed_granite')
  event.add('forge:stone', 'tnp:quadruple_compressed_granite')
  event.add('forge:stone', 'tnp:quintuple_compressed_granite')

  event.add('forge:stone', 'tnp:compressed_diorite')
  event.add('forge:stone', 'tnp:double_compressed_diorite')
  event.add('forge:stone', 'tnp:triple_compressed_diorite')
  event.add('forge:stone', 'tnp:quadruple_compressed_diorite')
  event.add('forge:stone', 'tnp:quintuple_compressed_diorite')

  event.add('forge:stone', 'tnp:compressed_andesite')
  event.add('forge:stone', 'tnp:double_compressed_andesite')
  event.add('forge:stone', 'tnp:triple_compressed_andesite')
  event.add('forge:stone', 'tnp:quadruple_compressed_andesite')
  event.add('forge:stone', 'tnp:quintuple_compressed_andesite')

  event.add('forge:stone', 'tnp:compressed_tuff')
  event.add('forge:stone', 'tnp:double_compressed_tuff')
  event.add('forge:stone', 'tnp:triple_compressed_tuff')
  event.add('forge:stone', 'tnp:quadruple_compressed_tuff')
  event.add('forge:stone', 'tnp:quintuple_compressed_tuff')

  event.add('forge:stone', 'tnp:compressed_dripstone')
  event.add('forge:stone', 'tnp:double_compressed_dripstone')
  event.add('forge:stone', 'tnp:triple_compressed_dripstone')
  event.add('forge:stone', 'tnp:quadruple_compressed_dripstone')
  event.add('forge:stone', 'tnp:quintuple_compressed_dripstone')

  event.add('forge:stone', 'tnp:compressed_calcite')
  event.add('forge:stone', 'tnp:double_compressed_calcite')
  event.add('forge:stone', 'tnp:triple_compressed_calcite')
  event.add('forge:stone', 'tnp:quadruple_compressed_calcite')
  event.add('forge:stone', 'tnp:quintuple_compressed_calcite')

  event.add('minecraft:soul_fire_base_blocks', 'tnp:double_compressed_soul_sand')
  event.add('minecraft:soul_fire_base_blocks', 'tnp:triple_compressed_soul_sand')
  event.add('minecraft:soul_fire_base_blocks', 'tnp:quadruple_compressed_soul_sand')
  event.add('minecraft:soul_fire_base_blocks', 'tnp:quintuple_compressed_soul_sand')

  event.add('minecraft:soul_fire_base_blocks', 'tnp:compressed_soul_soil')
  event.add('minecraft:soul_fire_base_blocks', 'tnp:double_compressed_soul_soil')
  event.add('minecraft:soul_fire_base_blocks', 'tnp:triple_compressed_soul_soil')
  event.add('minecraft:soul_fire_base_blocks', 'tnp:quadruple_compressed_soul_soil')
  event.add('minecraft:soul_fire_base_blocks', 'tnp:quintuple_compressed_soul_soil')

  event.add('forge:netherrack', 'tnp:compressed_netherrack')
  event.add('forge:netherrack', 'tnp:double_compressed_netherrack')
  event.add('forge:netherrack', 'tnp:triple_compressed_netherrack')
  event.add('forge:netherrack', 'tnp:quadruple_compressed_netherrack')
  event.add('forge:netherrack', 'tnp:quintuple_compressed_netherrack')

  event.add('forge:end_stones', 'tnp:compressed_end_stone')
  event.add('forge:end_stones', 'tnp:double_compressed_end_stone')
  event.add('forge:end_stones', 'tnp:triple_compressed_end_stone')
  event.add('forge:end_stones', 'tnp:quadruple_compressed_end_stone')
  event.add('forge:end_stones', 'tnp:quintuple_compressed_end_stone')

  event.add('forge:gravel', 'tnp:compressed_gravel')
  event.add('forge:gravel', 'tnp:double_compressed_gravel')
  event.add('forge:gravel', 'tnp:triple_compressed_gravel')
  event.add('forge:gravel', 'tnp:quadruple_compressed_gravel')
  event.add('forge:gravel', 'tnp:quintuple_compressed_gravel')

  event.add('minecraft:sand', 'tnp:compressed_sand')
  event.add('forge:sand', 'tnp:compressed_sand')
  event.add('minecraft:sand', 'tnp:double_compressed_sand')
  event.add('forge:sand', 'tnp:double_compressed_sand')
  event.add('minecraft:sand', 'tnp:triple_compressed_sand')
  event.add('forge:sand', 'tnp:triple_compressed_sand')
  event.add('minecraft:sand', 'tnp:quadruple_compressed_sand')
  event.add('forge:sand', 'tnp:quadruple_compressed_sand')
  event.add('minecraft:sand', 'tnp:quintuple_compressed_sand')
  event.add('forge:sand', 'tnp:quintuple_compressed_sand')

  event.add('minecraft:sand', 'tnp:compressed_red_sand')
  event.add('forge:sand', 'tnp:compressed_red_sand')
  event.add('minecraft:sand', 'tnp:double_compressed_red_sand')
  event.add('forge:sand', 'tnp:double_compressed_red_sand')
  event.add('minecraft:sand', 'tnp:triple_compressed_red_sand')
  event.add('forge:sand', 'tnp:triple_compressed_red_sand')
  event.add('minecraft:sand', 'tnp:quadruple_compressed_red_sand')
  event.add('forge:sand', 'tnp:quadruple_compressed_red_sand')
  event.add('minecraft:sand', 'tnp:quintuple_compressed_red_sand')
  event.add('forge:sand', 'tnp:quintuple_compressed_red_sand')

  event.add('forge:storage_blocks/clay', 'tnp:compressed_clay')
  event.add('forge:storage_blocks/clay', 'tnp:double_compressed_clay')
  event.add('forge:storage_blocks/clay', 'tnp:triple_compressed_clay')
  event.add('forge:storage_blocks/clay', 'tnp:quadruple_compressed_clay')
  event.add('forge:storage_blocks/clay', 'tnp:quintuple_compressed_clay')

  event.add('forge:stone', 'tnp:compressed_stone')
  event.add('forge:stone', 'tnp:double_compressed_stone')
  event.add('forge:stone', 'tnp:triple_compressed_stone')
  event.add('forge:stone', 'tnp:quadruple_compressed_stone')
  event.add('forge:stone', 'tnp:quintuple_compressed_stone')

  event.add('forge:stone', 'tnp:compressed_deepslate')
  event.add('forge:stone', 'tnp:double_compressed_deepslate')
  event.add('forge:stone', 'tnp:triple_compressed_deepslate')
  event.add('forge:stone', 'tnp:quadruple_compressed_deepslate')
  event.add('forge:stone', 'tnp:quintuple_compressed_deepslate')

  event.add('forge:dirt', 'tnp:compressed_mud')
  event.add('minecraft:dirt', 'tnp:compressed_mud')
  event.add('forge:dirt', 'tnp:double_compressed_mud')
  event.add('minecraft:dirt', 'tnp:double_compressed_mud')
  event.add('forge:dirt', 'tnp:triple_compressed_mud')
  event.add('minecraft:dirt', 'tnp:triple_compressed_mud')
  event.add('forge:dirt', 'tnp:quadruple_compressed_mud')
  event.add('minecraft:dirt', 'tnp:quadruple_compressed_mud')
  event.add('forge:dirt', 'tnp:quintuple_compressed_mud')
  event.add('minecraft:dirt', 'tnp:quintuple_compressed_mud')

  event.add('minecraft:dirt', 'tnp:compressed_lush_dirt')
  event.add('forge:dirt', 'tnp:compressed_lush_dirt')
  event.add('minecraft:dirt', 'tnp:double_compressed_lush_dirt')
  event.add('forge:dirt', 'tnp:double_compressed_lush_dirt')
  event.add('minecraft:dirt', 'tnp:triple_compressed_lush_dirt')
  event.add('forge:dirt', 'tnp:triple_compressed_lush_dirt')
  event.add('minecraft:dirt', 'tnp:quadruple_compressed_lush_dirt')
  event.add('forge:dirt', 'tnp:quadruple_compressed_lush_dirt')
  event.add('minecraft:dirt', 'tnp:quintuple_compressed_lush_dirt')
  event.add('forge:dirt', 'tnp:quintuple_compressed_lush_dirt')

  event.add('minecraft:dirt', 'tnp:compressed_moss_block')
  event.add('minecraft:dirt', 'tnp:double_compressed_moss_block')
  event.add('minecraft:dirt', 'tnp:triple_compressed_moss_block')
  event.add('minecraft:dirt', 'tnp:quadruple_compressed_moss_block')
  event.add('minecraft:dirt', 'tnp:quintuple_compressed_moss_block')

  event.add('forge:stone', 'tnp:compressed_mossy_stone')
  event.add('forge:stone', 'tnp:double_compressed_mossy_stone')
  event.add('forge:stone', 'tnp:triple_compressed_mossy_stone')
  event.add('forge:stone', 'tnp:quadruple_compressed_mossy_stone')
  event.add('forge:stone', 'tnp:quintuple_compressed_mossy_stone')

  event.add('forge:dusts/silver', 'mekanism:dust_silver')
  event.add('forge:dusts', 'mekanism:dust_silver')
  event.add('forge:dusts/zinc', 'mekanism:dust_zinc')
  event.add('forge:dusts', 'mekanism:dust_zinc')

  event.add('forge:nuggets/silver', 'mekanism:nugget_silver')
  event.add('forge:nuggets', 'mekanism:nugget_silver')

  event.add('forge:ingots/silver', 'mekanism:ingot_silver')
  event.add('forge:ingots', 'mekanism:ingot_silver')

  event.add('forge:raw_materials/silver', 'mekanism:raw_silver')
  event.add('forge:raw_materials', 'mekanism:raw_silver')
  event.add('forge:raw_ores/silver', 'mekanism:raw_silver')
  event.add('forge:raw_ores', 'mekanism:raw_silver')

  event.add('forge:ores/silver', 'mekanism:silver_ore')
  event.add('forge:ores', 'mekanism:silver_ore')
  event.add('forge:ores/silver', 'mekanism:deepslate_silver_ore')
  event.add('forge:ores', 'mekanism:deepslate_silver_ore')
  event.add('apotheosis:boon_drops', 'mekanism:silver_ore')

  event.add('forge:storage_blocks/silver', 'mekanism:block_silver')
  event.add('forge:storage_blocks', 'mekanism:block_silver')

  event.add('forge:storage_blocks/raw_silver', 'mekanism:block_raw_silver')
  event.add('forge:storage_blocks', 'mekanism:block_raw_silver')

  event.add('forge:nuggets/copper', 'mekanism:nugget_copper')
  event.add('forge:nuggets', 'mekanism:nugget_copper')

  event.add('forge:nuggets/netherite', 'mekanism:nugget_netherite')
  event.add('forge:nuggets', 'mekanism:nugget_netherite')

  // Remove Tags (Items)
  event.remove('refinedstorage:disks/items/16384k', 'extrastorage:disk_16384k')
  event.remove('refinedstorage:disks/items/4096k', 'extrastorage:disk_4096k')
  event.remove('refinedstorage:disks/items/1024k', 'extrastorage:disk_1024k')
  event.remove('refinedstorage:disks/items/256k', 'extrastorage:disk_256k')

  event.remove('refinedstorage:disks/fluids/1048576k', 'extrastorage:disk_1048576k_fluid')
  event.remove('refinedstorage:disks/fluids/262144k', 'extrastorage:disk_262144k_fluid')
  event.remove('refinedstorage:disks/fluids/65536k', 'extrastorage:disk_65536k_fluid')
  event.remove('refinedstorage:disks/fluids/16384k', 'extrastorage:disk_16384k_fluid')

  event.remove('refinedstorage:storage_blocks/fluids/1048576k', 'extrastorage:block_1048576k_fluid')
  event.remove('refinedstorage:storage_blocks/fluids/262144k', 'extrastorage:block_262144k_fluid')
  event.remove('refinedstorage:storage_blocks/fluids/65536k', 'extrastorage:block_65536k_fluid')
  event.remove('refinedstorage:storage_blocks/fluids/16384k', 'extrastorage:block_16384k_fluid')

  event.remove('refinedstorage:storage_blocks/items/16384k', 'extrastorage:block_16384k')
  event.remove('refinedstorage:storage_blocks/items/4096k', 'extrastorage:block_4096k')
  event.remove('refinedstorage:storage_blocks/items/1024k', 'extrastorage:block_1024k')
  event.remove('refinedstorage:storage_blocks/items/256k', 'extrastorage:block_256k')

  event.remove('refinedstorage:parts/fluids/1048576k', 'extrastorage:storagepart_1048576k_fluid')
  event.remove('refinedstorage:parts/fluids/262144k', 'extrastorage:storagepart_262144k_fluid')
  event.remove('refinedstorage:parts/fluids/65536k', 'extrastorage:storagepart_65536k_fluid')
  event.remove('refinedstorage:parts/fluids/16384k', 'extrastorage:storagepart_16384k_fluid')
  

  event.remove('refinedstorage:parts/items/16384k', 'extrastorage:storagepart_16384k')
  event.remove('refinedstorage:parts/items/4096k', 'extrastorage:storagepart_4096k')
  event.remove('refinedstorage:parts/items/1024k', 'extrastorage:storagepart_1024k')
  event.remove('refinedstorage:parts/items/256k', 'extrastorage:storagepart_256k')

  event.remove('forge:bones', 'undergarden:brute_tusk')

  event.remove('forge:gears/iron', 'industrialforegoing:iron_gear')
  event.remove('forge:gears/gold', 'industrialforegoing:gold_gear')
  event.remove('forge:gears/diamond', 'industrialforegoing:diamond_gear')

  event.remove('caupona:cereals', 'croptopia:rice')
  event.remove('caupona:cereals/rice', 'croptopia:rice')

  event.remove('forge:rods', 'blue_skies:bluebright_stick')
  event.remove('forge:rods/wooden', 'blue_skies:bluebright_stick')
  event.remove('c:wood_sticks', 'blue_skies:bluebright_stick')
  event.remove('balm:wooden_rods', 'blue_skies:bluebright_stick')

  event.remove('forge:rods', 'blue_skies:starlit_stick')
  event.remove('forge:rods/wooden', 'blue_skies:starlit_stick')
  event.remove('c:wood_sticks', 'blue_skies:starlit_stick')
  event.remove('balm:wooden_rods', 'blue_skies:starlit_stick')

  event.remove('forge:rods', 'blue_skies:frostbright_stick')
  event.remove('forge:rods/wooden', 'blue_skies:frostbright_stick')
  event.remove('c:wood_sticks', 'blue_skies:frostbright_stick')
  event.remove('balm:wooden_rods', 'blue_skies:frostbright_stick')

  event.remove('forge:rods', 'blue_skies:lunar_stick')
  event.remove('forge:rods/wooden', 'blue_skies:lunar_stick')
  event.remove('c:wood_sticks', 'blue_skies:lunar_stick')
  event.remove('balm:wooden_rods', 'blue_skies:lunar_stick')

  event.remove('forge:rods', 'blue_skies:dusk_stick')
  event.remove('forge:rods/wooden', 'blue_skies:dusk_stick')
  event.remove('c:wood_sticks', 'blue_skies:dusk_stick')
  event.remove('balm:wooden_rods', 'blue_skies:dusk_stick')

  event.remove('forge:rods', 'blue_skies:maple_stick')
  event.remove('forge:rods/wooden', 'blue_skies:maple_stick')
  event.remove('c:wood_sticks', 'blue_skies:maple_stick')
  event.remove('balm:wooden_rods', 'blue_skies:maple_stick')

  event.remove('forge:rods', 'blue_skies:comet_stick')
  event.remove('forge:rods/wooden', 'blue_skies:comet_stick')
  event.remove('c:wood_sticks', 'blue_skies:comet_stick')
  event.remove('balm:wooden_rods', 'blue_skies:comet_stick')

  event.remove('minecraft:leaves', 'minecraft:air')
  event.remove('diet:vegetables', 'minecraft:air')
  event.remove('rftoolsutility:living/lowyield', 'minecraft:air')
  event.remove('forge:ores', 'minecraft:air')
  event.remove('productivebees:flowers/lumber', 'minecraft:air')
  event.remove('diet:ingredients', 'minecraft:air')
  event.remove('forge:ores/uraninite', 'minecraft:air')
  event.remove('forge:storage_blocks/uraninite', 'minecraft:air')
  event.remove('rftoolsutility:living/living', 'inecraft:air')
  event.remove('balm:ores', 'minecraft:air')
  event.remove('forge:ices/dry', 'minecraft:air')
  event.remove('forge:storage_blocks', 'minecraft:air')
  event.remove('forge:ices', 'minecraft:air')
  event.remove('crabbersdelight:crab_trap_bait', 'minecraft:air')
  event.remove('crabbersdelight:fish_baits', 'minecraft:air')

  event.remove('forge:gears/iron', 'industrialforegoing:iron_gear')
  event.remove('forge:gears/iron', 'industrialforegoing:iron_gear')
  event.remove('forge:gears/iron', 'industrialforegoing:iron_gear')

  event.remove('forge:mushroom_caps/glowshroom', 'extendedmushrooms:glowshroom_cap')
  event.remove('forge:mushroom_caps', 'extendedmushrooms:glowshroom_cap')
  event.remove('forge:mushroom_caps/purple', 'extendedmushrooms:poisonous_mushroom_cap')
  event.remove('forge:mushroom_caps', 'extendedmushrooms:poisonous_mushroom_cap')
  event.remove('forge:mushroom_caps/lime', 'extendedmushrooms:slime_fungus_cap')
  event.remove('forge:mushroom_caps', 'extendedmushrooms:slime_fungus_cap')
  event.remove('forge:mushroom_caps/orange', 'extendedmushrooms:honey_fungus_cap')
  event.remove('forge:mushroom_caps', 'extendedmushrooms:honey_fungus_cap')
  event.remove('forge:mushroom_caps/red', 'minecraft:red_mushroom_block')
  event.remove('forge:mushroom_caps', 'minecraft:red_mushroom_block')
  event.remove('forge:mushroom_caps/brown', 'minecraft:brown_mushroom_block')
  event.remove('forge:mushroom_caps', 'minecraft:brown_mushroom_block')

  event.remove('apotheosis:boon_drops', 'embers:lead_ore')
  event.remove('forge:ores_in_ground/stone', 'embers:lead_ore')

  event.remove('apotheosis:boon_drops', 'eidolon:lead_ore')
  event.remove('forge:ores_in_ground/stone', 'eidolon:lead_ore')

  event.remove('apotheosis:boon_drops', 'eidolon:silver_ore')
  event.remove('forge:ores_in_ground/stone', 'eidolon:silver_ore')

  event.remove('apotheosis:boon_drops', 'embers:silver_ore')
  event.remove('forge:ores_in_ground/stone', 'embers:silver_ore')

  // Add Tags (Items)
  event.add('forge:plates/silver', 'create:silver_sheet')
  event.add('forge:plates', 'create:silver_sheet')

  event.add('forge:plates/lead', 'create:lead_sheet')
  event.add('forge:plates', 'create:lead_sheet')

  event.add('minecraft:tools', 'eidolon:silver_sword')
  event.add('forge:tools', 'eidolon:silver_sword')
  event.add('forge:swords', 'eidolon:silver_sword')
  event.add('minecraft:swords', 'eidolon:silver_sword')

  event.add('minecraft:tools/shovels', 'eidolon:silver_shovel')
  event.add('minecraft:tools', 'eidolon:silver_shovel')
  event.add('forge:tools/shovels', 'eidolon:silver_shovel')
  event.add('forge:tools', 'eidolon:silver_shovel')
  event.add('forge:shovels', 'eidolon:silver_shovel')
  event.add('minecraft:shovels', 'eidolon:silver_shovel')

  event.add('minecraft:tools/pickaxes', 'eidolon:silver_pickaxe')
  event.add('minecraft:tools', 'eidolon:silver_pickaxe')
  event.add('forge:tools/pickaxes', 'eidolon:silver_pickaxe')
  event.add('forge:tools', 'eidolon:silver_pickaxe')
  event.add('forge:pickaxes', 'eidolon:silver_pickaxe')
  event.add('minecraft:pickaxes', 'eidolon:silver_pickaxe')

  event.add('minecraft:tools/axes', 'eidolon:silver_axe')
  event.add('minecraft:tools', 'eidolon:silver_axe')
  event.add('forge:tools/axes', 'eidolon:silver_axe')
  event.add('forge:tools', 'eidolon:silver_axe')
  event.add('forge:axes', 'eidolon:silver_axe')
  event.add('minecraft:axes', 'eidolon:silver_axe')

  event.add('minecraft:tools/hoes', 'eidolon:silver_hoe')
  event.add('minecraft:tools', 'eidolon:silver_hoe')
  event.add('forge:tools/hoes', 'eidolon:silver_hoe')
  event.add('forge:tools', 'eidolon:silver_hoe')
  event.add('forge:hoes', 'eidolon:silver_hoe')
  event.add('minecraft:hoes', 'eidolon:silver_hoe')

  event.add('forge:armors', 'eidolon:silver_helmet')
  event.add('forge:armors/helmets', 'eidolon:silver_helmet')
  event.add('forge:armor', 'eidolon:silver_helmet')
  event.add('forge:helmets', 'eidolon:silver_helmet')

  event.add('forge:armors', 'eidolon:silver_chestplate')
  event.add('forge:armors/chestplate', 'eidolon:silver_chestplate')
  event.add('forge:armor', 'eidolon:silver_chestplate')
  event.add('forge:chestplates', 'eidolon:silver_chestplate')

  event.add('forge:armors', 'eidolon:silver_leggings')
  event.add('forge:armors/leggings', 'eidolon:silver_leggings')
  event.add('forge:armor', 'eidolon:silver_leggings')
  event.add('forge:leggings', 'eidolon:silver_leggings')

  event.add('forge:armors', 'eidolon:silver_boots')
  event.add('forge:armors/boots', 'eidolon:silver_boots')
  event.add('forge:armor', 'eidolon:silver_boots')
  event.add('forge:boots', 'eidolon:silver_boots')

  event.add('forge:ores/uranium', 'mekanism:radrock_uranium_ore')
  event.add('forge:ores', 'mekanism:radrock_uranium_ore')
  event.add('apotheosis:boon_drops', 'mekanism:radrock_uranium_ore')
  event.add('apotheosis:boon_drops', 'mekanism:deepslate_uranium_ore')

  event.add('minecraft:saplings', 'alexscaves:pewen_sapling')
  event.add('forge:sapling', 'alexscaves:pewen_sapling')

  event.add('forge:salt', 'meadow:alpine_salt')
  event.add('forge:salts', 'meadow:alpine_salt')

  event.add('minecraft:logs', 'meadow:alpine_oak_log')
  event.add('minecraft:oak_logs', 'meadow:alpine_oak_log')

  event.add('minecraft:birch_logs', 'meadow:alpine_birch_log')

});